#include <Servo.h>      // include la libreria che ci permette di pilotare i servomotori

Servo motore;           // crea una variabile di tipo "Servo" che useremo per controllare il motore

const int pinPot = A0;  // il numero del pin analogico al quale colleghiamo il potenziometro
int valPot;             // variabile per il valore letto dal potenziometro (numeri compresi tra 0 e 1023)
int angolo;             // variabile per l'angolo che invieremo al servomotore (sono numeri tra 0 e 180)

void setup() {
  motore.attach(8);     // decidiamo di controllare il servomotore dal pin digitale numero 8
  Serial.begin(9600);   // apre la comunicazione seriale con il computer (alla velocità di 9600 bps)
}

void loop() {
  valPot = analogRead(pinPot);  // legge il valore dal potenziometro e lo assegna alla variabile valPot
  Serial.print("valPot: ");     // scrive verso il computer la stringa riportata tra apici
  Serial.print(valPot);         // scrive verso il computer il valore della variabile valPot
 
  angolo = map(valPot, 0, 1023, 0, 180);  // trasforma valPot per ottenere un angolo tra 0 e 180 gradi

  Serial.print(", angolo: ");   // scrive verso il computer la stringa riportata tra apici
  Serial.println(angolo);       // scrive verso il computer il valore della variabile angolo e va a capo
  
  motore.write(angolo);         // posizione il braccio del servomotore all'angolo indicato

  delay(20);                    // aspetta un cinquantesimo di secondo (20 millisecondi)
} 
