#include "note.h"    // trascrive all'interno dello sketch il contenuto del file note.h

const int pinPiezo = 8;   // pin digitale al quale colleghiamo il piezo-speaker

// vettore di interi che contiene la lista delle note: queste sono delle costanti definite all'interno
// del file note.h che abbiamo incluso qui sopra
int melodia[] = { NOTA_DO5, NOTA_SOL4, NOTA_SOL4, NOTA_LA4, NOTA_SOL4, NOTA_PAUSA, NOTA_SI4, NOTA_DO5 };

// vettore di interi che contiene la lista dei tipi di note (per poter calcolare la loro durata), che
// deve essere lungo come il vettore delle note (i valori sono: 4 = nota da un quarto, 8 = un ottavo, ...):
int tipoNote[] = { 4, 8, 8, 4, 4, 4, 4, 4 };

void setup() {
  // ciclo che scandisce le note contenute nel vettore melodia: otto note che conteggiamo da 0 fino a 7
  for (int numeroNota = 0; numeroNota < 8; numeroNota++) {

    // per calcolare la durata della nota, prendo un secondo e lo divido per il tipo di nota;
    // ad esempio: la nota da un quarto dura 1000/4 millisecondi, la nota da un ottavo dura 1000/8, etc.
    int durata = 1000 / tipoNote[numeroNota];
    
    tone(pinPiezo, melodia[numeroNota], durata); // suono la nota con lo speaker

    // per separare le note, attendiamo un po' di tempo tra una e l'altra: un'attesa pari al 30%
    // della nota appena suonata può andare bene per distinguere i suoni
    int pausaTraLeNote = durata * 1.30;
    delay(pausaTraLeNote);

    // finito il ciclo, possiamo passare alla prossima nota (se ce n'è un'altra da suonare)
  }
}

void loop() {
  // non serve ripetere la melodia
}
